.testimonial-lines {
    grid-column-gap: 1.25em;
    grid-row-gap: 1.25em;
    flex-flow: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    display: flex;
}

.testimonial-lines__controls {
    grid-column-gap: 1em;
    grid-row-gap: 1em;
    flex-flow: row;
    justify-content: flex-start;
    align-items: flex-start;
    width: 33.3333%;
    display: flex;
}

.testimonial-lines__main {
    grid-column-gap: 5em;
    grid-row-gap: 5em;
    flex-flow: column;
    flex: 1;
    justify-content: flex-start;
    align-items: flex-start;
    display: flex;
}

.testimonial-lines__button {
    background-color: transparent;
    border: 1px solid #0003;
    border-radius: .25em;
    justify-content: center;
    align-items: center;
    width: 2.5em;
    height: 2.5em;
    padding: 0;
    display: flex;
    cursor: pointer;
}

.testimonial-lines__arrow {
    width: .75em;
}

.testimonial-lines__main-details {
    grid-column-gap: 1.5em;
    grid-row-gap: 1.5em;
    flex-flow: row;
    justify-content: flex-start;
    align-items: center;
    display: flex;
}

.testimonial-lines__count {
    width: 1ch;
    display: inline-block;
}

.testimonial-lines__p {
    margin-bottom: 0;
    font-size: 1.25em;
    line-height: 1.2;
}

.testimonial-lines__p.is--faded {
    opacity: .5;
}

.testimonial-lines__collection {
    width: 100%;
}

.testimonial-lines__list {
    width: 100%;
    display: grid;
    position: relative;
}

.testimonial-lines__item {
    grid-column-gap: 4em;
    grid-row-gap: 4em;
    opacity: 0;
    visibility: hidden;
    flex-flow: column;
    grid-area: 1 / 1;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
    display: flex;
    position: relative;
}

.testimonial-lines__item.is--active {
    opacity: 100;
    visibility: visible;
}

.testimonial-lines__h {
    letter-spacing: -.02em;
    width: 100%;
    margin-top: 0;
    margin-bottom: 0;
    font-size: 3em;
    font-weight: 500;
    line-height: 1;
}

.text-line-mask {
    padding-bottom: 0.2em;
    margin-bottom: -0.2em;
}

.testimonial-lines__item-details {
    grid-column-gap: 1.25em;
    grid-row-gap: 1.25em;
    flex-flow: row;
    justify-content: flex-start;
    align-items: center;
    display: flex;
}

.testimonial-lines__item-visual {
    aspect-ratio: 1;
    border-radius: 100em;
    width: 5em;
    overflow: hidden;
}

.testimonial-lines__item-img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

@media screen and (max-width: 767px) {
    .testimonial-lines {
        grid-column-gap: 3em;
        grid-row-gap: 3em;
    }

    .testimonial-lines__controls {
        order: 9999;
        width: 100%;
    }

    .testimonial-lines__main {
        grid-column-gap: 3em;
        grid-row-gap: 3em;
    }

    .testimonial-lines__p {
        font-size: 1em;
    }

    .testimonial-lines__item {
        grid-column-gap: 2em;
        grid-row-gap: 2em;
    }

    .testimonial-lines__h {
        font-size: 2em;
    }

    .testimonial-lines__item-visual {
        width: 3.5em;
    }
}
